#!/bin/bash

uninstallDockerManagerUser()
{
    isHeader "Removing $CFG_DOCKER_MANAGER_USER"
	if [[ "$toolsremovedockermanageruser" == [yY] ]]; then
        if [[ "$OS_TYPE" == "Ubuntu" || "$OS_TYPE" == "Debian" ]]; then
            # Remove the User Account and capture the exit status and output
            local result=$(sudo userdel -r "$CFG_DOCKER_MANAGER_USER" 2>&1)
            checkSuccess "Removing the '$CFG_DOCKER_MANAGER_USER' user"

            # Remove the Docker Manager User specific block from $sshd_config
            local result=$(sudo sed -i '/### LibrePortal Manager User Start/,/### LibrePortal Manager User End/d' $sshd_config)
            checkSuccess "Removing the Docker Manager User from $sshd_config."

            # Restart SSH Service
            local result=$(sudo service ssh restart)
            checkSuccess "Restarting SSH Service"
        fi
    fi
}